.section .multiboot
    .align 4
    .set ALIGN, 1<<0
    .set MEMINFO, 1<<1
    .set MAGIC, 0x1BADB002
    .set FLAGS, ALIGN|MEMINFO
    .long MAGIC
    .long FLAGS
    .long -(MAGIC + FLAGS)

.section .bss
    .align 16
stack_bottom:
    .skip 16384
stack_top:

.section .text
.global _start
.type _start, @function
_start:
    mov $stack_top, %esp

    call kernel_main

    cli
1:  hlt
    jmp 1b
.size _start, . - _start